> For the complete documentation index, see [llms.txt](https://docs.kpnthings.com/kpn-things/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kpnthings.com/kpn-things/building-blocks/devices/trackers/kpn-locationtag-ii-v2.md).

# KPN LocationTag II v2

![KPN LocationTag II v2](https://portal.kpnthings.com/assets/images/device-types/kpn-locationtag-ii-v2.png)

Tag for localization and movement monitoring. Revision of KPN LocationTag II. Added functionality NFC and FSK.

* Supported network type(s): `KPNLORA`
* Device Specification ID: `kpn-locationtag-ii-v2`
* Device Specification UUID: `43d4122f-b2ce-486b-9ede-d5463d2a822d`

| Decoders                                      | decoderSpecificationUUID               | Description                                                                                                                                                                                                                 |
| --------------------------------------------- | -------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| › Decoded payload for Asset Tracking (v2)     | `1e530f69-1c43-54da-bc77-f3508486c21e` | Decoder for Streamline LoRa short and long payloads containing a.o. NFC field detected flag, sabotaged flag, motion status, and battery voltage. Long payloads also contain a.o. firmware, power up, and transmission time. |
| › Decoded payload for counting rotations (v2) | `2aeeaef5-fb56-5b07-9675-58d568dc708f` | Decoder outputting general information and specific rotation and orientation data                                                                                                                                           |

| Encoders                  | encoderSpecificationUUID               | Description                                     |
| ------------------------- | -------------------------------------- | ----------------------------------------------- |
| ‹ Encoded device commands | `9935fa32-6915-4fe9-b864-37e9913a97f9` | Set the device mode and enabling of nfc writes. |

### › Decoded payload for Asset Tracking (v2)

Decoder for Streamline LoRa short and long payloads containing a.o. NFC field detected flag, sabotaged flag, motion status, and battery voltage. Long payloads also contain a.o. firmware, power up, and transmission time.

{% hint style="info" %}
This decoder also decodes [Geolocation and Local Gateway](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data.
{% endhint %}

The following SenML records can be present, amongst others:

| name                  | type    | unit | example      | description                                                                                            |
| --------------------- | ------- | ---- | ------------ | ------------------------------------------------------------------------------------------------------ |
| acceleratorActive     | boolean |      | `true`       |                                                                                                        |
| alarmMode             | boolean |      | `true`       |                                                                                                        |
| batteryVoltage        | number  | V    | `3.56`       |                                                                                                        |
| firmwareCRC           | string  |      | `"9e17"`     | Only sent in long payload messages                                                                     |
| firmwareVersion       | string  |      | `"0604"`     | Only sent in long payload messages                                                                     |
| motionTime            | number  | min  | `142271.0`   |                                                                                                        |
| movementIndication    | string  |      | `"STOP"`     | Indicates the devices movement status. Either `"STOP`, `"STATIONARY"`, `"START"` or `"MOVING"`         |
| nfcFieldDetected      | boolean |      | `true`       |                                                                                                        |
| nfcState              | string  |      | `"RESERVED"` | Only sent in long payload messages. Either `"RESERVED"`, `"NFC_READ_ONLY"`, `"NFC_OFF"`, or `"NFC_RW"` |
| nrOfLoraTransmissions | number  |      | `7427.0`     | Only sent in long payload messages                                                                     |
| powerupTime           | number  | min  | `1334707`    | Only sent in long payload messages                                                                     |
| sabotaged             | boolean |      | `true`       |                                                                                                        |
| settingsCRC           | string  |      | `"a3e5"`     | Only sent in long payload messages                                                                     |
| temperature           | number  | Cel  | `23.432`     |                                                                                                        |
| transmissionTime      | number  | s    | `5180`       | Only sent in long payload messages                                                                     |

#### Example SenML

{% hint style="info" %}
SenML can be structured in different ways, and we do not guarantee the examples below will look the same as what you will receive on your Destination. To make sure you can handle the SenML optimally, take a look at our documentation about [Understanding and Interpreting SenML Data](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml/understanding-and-interpreting-senml-data.md).
{% endhint %}

**Short payload**

```json
[
    {
        "bn": "urn:dev:DEVEUI:0123456789012345:",
        "bt": 1693136532.83,
        "n": "nfcFieldDetected",
        "vb": false
    },
    {
        "n": "acceleratorActive",
        "vb": true
    },
    {
        "n": "sabotaged",
        "vb": true
    },
    {
        "n": "movementIndication",
        "vs": "START"
    },
    {
        "n": "alarmMode",
        "vb": true
    },
    {
        "n": "batteryVoltage",
        "u": "V",
        "v": 2.96
    },
    {
        "n": "motionTime",
        "u": "min",
        "v": 22756
    },
    {
        "n": "temperature",
        "u": "Cel",
        "v": -8
    },
    {
        "n": "timeOrigin",
        "vs": "NETWORK"
    }
]
```

**Long payload**

```json
[
    {
        "bn": "urn:dev:DEVEUI:0123456789012345:",
        "bt": 1693136532.83,
        "n": "nfcFieldDetected",
        "vb": false
    },
    {
        "n": "acceleratorActive",
        "vb": true
    },
    {
        "n": "sabotaged",
        "vb": false
    },
    {
        "n": "movementIndication",
        "vs": "STATIONARY"
    },
    {
        "n": "alarmMode",
        "vb": false
    },
    {
        "n": "batteryVoltage",
        "u": "V",
        "v": 3.01
    },
    {
        "n": "temperature",
        "u": "Cel",
        "v": 1
    },
    {
        "n": "firmwareVersion",
        "vs": "06a9"
    },
    {
        "n": "firmwareCRC",
        "vs": "ac01"
    },
    {
        "n": "settingsCRC",
        "vs": "ec36"
    },
    {
        "n": "nfcState",
        "vs": "NFC_READ_ONLY"
    },
    {
        "n": "motionTime",
        "u": "min",
        "v": 18418
    },
    {
        "n": "powerupTime",
        "u": "min",
        "v": 1156219
    },
    {
        "n": "transmissionTime",
        "u": "s",
        "v": 4142
    },
    {
        "n": "nrOfLoraTransmissions",
        "v": 3255
    },
    {
        "n": "timeOrigin",
        "vs": "NETWORK"
    }
]
```

### › Decoded payload for counting rotations (v2)

Decoder outputting general information and specific rotation and orientation data

Fixes from '› Decoded payload for counting rotations':

* For the field `nfcState`, the values`"NFC_READ_ONLY"` & `"NFC_OFF"` were swapped.

{% hint style="info" %}
This decoder also decodes [Geolocation and Local Gateway](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data.
{% endhint %}

The following SenML records can be present, amongst others:

| name                  | type    | unit | example           | description                                                                                               |
| --------------------- | ------- | ---- | ----------------- | --------------------------------------------------------------------------------------------------------- |
| acceleratorActive     | boolean |      | `true`            |                                                                                                           |
| alarmMode             | boolean |      | `false`           |                                                                                                           |
| batteryVoltage        | number  | V    | `3.03`            |                                                                                                           |
| firmwareCRC           | string  |      | `"3407"`          | Not present in detail level 1 messages                                                                    |
| firmwareVersion       | string  |      | `"06b0"`          | Not present in detail level 1 messages                                                                    |
| movementIndication    | string  |      | `"STATIONARY"`    | Indicates the devices movement status. Either `"STOP"`, `"STATIONARY"`, `"START"` or `"MOVING"`           |
| nfcFieldDetected      | boolean |      | `false`           |                                                                                                           |
| nfcState              | string  |      | `"NFC_READ_ONLY"` | Not present in detail level 1 messages. Either `"RESERVED"`, `"NFC_READ_ONLY"`, `"NFC_OFF"` or `"NFC_RW"` |
| nrOfLoraTransmissions | number  |      | `27`              | Not present in detail level 1 messages                                                                    |
| orientationX          | number  |      | `21`              | Only present in detail level 3 messages                                                                   |
| orientationY          | number  |      | `7`               | Only present in detail level 3 messages                                                                   |
| powerupTime           | number  | min  | `184996`          | Not present in detail level 1 messages                                                                    |
| rotationCount         | number  |      | `2`               |                                                                                                           |
| rotationLeft          | number  |      | `1`               | Only present in detail level 3 messages                                                                   |
| rotationRight         | number  |      | `3`               | Only present in detail level 3 messages                                                                   |
| sabotaged             | boolean |      | `false`           |                                                                                                           |
| settingsCRC           | string  |      | `"42b5"`          | Not present in detail level 1 messages                                                                    |
| temperature           | number  | Cel  | `24.3`            |                                                                                                           |
| transmissionTime      | number  | s    | `67`              | Not present in detail level 1 messages                                                                    |

#### Example SenML

{% hint style="info" %}
SenML can be structured in different ways, and we do not guarantee the examples below will look the same as what you will receive on your Destination. To make sure you can handle the SenML optimally, take a look at our documentation about [Understanding and Interpreting SenML Data](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml/understanding-and-interpreting-senml-data.md).
{% endhint %}

```json
[
    {
        "bn": "urn:dev:DEVEUI:0123456789012345:",
        "bt": 1693136532.83,
        "n": "nfcFieldDetected",
        "vb": false
    },
    {
        "n": "acceleratorActive",
        "vb": true
    },
    {
        "n": "sabotaged",
        "vb": false
    },
    {
        "n": "movementIndication",
        "vs": "STATIONARY"
    },
    {
        "n": "alarmMode",
        "vb": false
    },
    {
        "n": "batteryVoltage",
        "u": "V",
        "v": 3.03
    },
    {
        "n": "rotationCount",
        "v": 2.0
    },
    {
        "n": "temperature",
        "u": "Cel",
        "v": -24.0
    },
    {
        "n": "firmwareVersion",
        "vs": "06b0"
    },
    {
        "n": "firmwareCRC",
        "vs": "3407"
    },
    {
        "n": "settingsCRC",
        "vs": "42b5"
    },
    {
        "n": "nfcState",
        "vs": "NFC_READ_ONLY"
    },
    {
        "n": "powerupTime",
        "u": "min",
        "v": 184996.0
    },
    {
        "n": "transmissionTime",
        "u": "s",
        "v": 67.0
    },
    {
        "n": "nrOfLoraTransmissions",
        "v": 27.0
    },
    {
        "n": "rotationLeft",
        "v": 1.0
    },
    {
        "n": "rotationRight",
        "v": 3.0
    },
    {
        "n": "orientationX",
        "v": 21.0
    },
    {
        "n": "orientationY",
        "v": 7.0
    },
    {
        "n": "timeOrigin",
        "vs": "NETWORK"
    }
]
```

### ‹ Encoded device commands

* Protocol: LoRa downlink
* Description: Set the device mode and enabling of nfc writes.
* Multiple commands in one downlink: No

Input mapping:

* Name: `mode`
  * Value: `Missing` (translates into → `118000000080000000`)
* Name: `deviceControl`
  * Value: `Reset` (translates into → `0200`)
  * Value: `NFC_Write` (translates into → `1B11FA1816`)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kpnthings.com/kpn-things/building-blocks/devices/trackers/kpn-locationtag-ii-v2.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
